summaryrefslogtreecommitdiffstats
path: root/source/n/dhcpcd/dhcpcd.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/n/dhcpcd/dhcpcd.SlackBuild')
-rwxr-xr-xsource/n/dhcpcd/dhcpcd.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/source/n/dhcpcd/dhcpcd.SlackBuild b/source/n/dhcpcd/dhcpcd.SlackBuild
index 15f14e2fb..f91966586 100755
--- a/source/n/dhcpcd/dhcpcd.SlackBuild
+++ b/source/n/dhcpcd/dhcpcd.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
VERSION=${VERSION:-$(echo dhcpcd-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -67,13 +67,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+patch -p1 < $CWD/patches/Actually-validate-the-search-list.patch || exit 1
+patch -p1 < $CWD/patches/dhcpcd.conf-Don-t-invoke-wpa_supplicant-by-default.patch || exit 1
+
# At this point, it should be safe to assume that /var will be mounted by the
# time dhcpcd is called, as all non-root local filesystems are mounted from
# /etc/rc.d/rc.S, and /var should not be on a network filesystem. As such,
# we'll use the FHS layout instead of putting things in /etc/dhcpc
-zcat $CWD/define-SERVICEstuff-for-Slackware.patch.gz | patch -p1 || exit 1
-
# Yes, /lib/dhcpcd is correct, even on x86_64.
CFLAGS="$SLKCFLAGS" \
./configure \